%define name krb5-fermi-krb5.conf
%define path /usr/krb5
%define version 4.4
%define release 1

Summary: Fermilab configuration scripts for your Kerberos Machine
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: MIT, freely distributable.
URL: http://web.mit.edu/kerberos/www/
Group: Fermi
BuildArchitectures: noarch
Packager: Troy Dawson <dawson@fnal.gov>
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: fileutils

%description
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of cleartext passwords.
This rpm gives you are krb5.conf file setup to work with the FNAL.GOV
kerberos realm.  If you already have a krb5.conf, it saves it off.

%prep
%setup


%install
install  -m 0755 -d $RPM_BUILD_ROOT%{path}/conf

install  -m 0744 config-krb5.conf $RPM_BUILD_ROOT%{path}/conf/config-krb5.conf
install  -m 0644 krb5.conf.template $RPM_BUILD_ROOT%{path}/conf/krb5.conf.template
install  -m 0744 makehostkeys $RPM_BUILD_ROOT/%{path}/conf/makehostkeys
install  -m 0744 make-cron-keytab $RPM_BUILD_ROOT/%{path}/conf/make-cron-keytab

%post 
if [ -f /etc/krb5.conf ] ; then
	echo "We need a fresh krb5.conf, moving old krb5.conf to /etc/krb5.conf.save.%{name}.%{version}.%{release}"
	mv /etc/krb5.conf /etc/krb5.conf.save.%{name}.%{version}.%{release}
fi
%{path}/conf/config-krb5.conf %{version}

%files
%attr(0755,root,root) %dir %{path}
%attr(0755,root,root)%dir %{path}/conf
%attr(0744,root,root) %{path}/conf/config-krb5.conf
%attr(0644,root,root) %{path}/conf/krb5.conf.template
%attr(0755,root,root) %{path}/conf/makehostkeys
%attr(0755,root,root) %{path}/conf/make-cron-keytab


%changelog
* Wed Feb 08 2012 Frank Nagy <nagy@fnal.gov> 4.4-1
- Fixed order of paramter statements in the
- [capaths] section of v4.4 of krb5.conf

* Thu Oct 20 2011 Frank Nagy <nagy@fnal.gov> 4.3-1
- V4.2 added PSC.EDU and EXTENCI.ORG realms to the [realms] section
- and V4.3 changed the KDC defintions for the CERN.CN realm

* Tue Jun 28 2011 Frank Nagy <nagy@fnal.gov> 4.1-2
- Fixed typo in KDC search names (d0online)

* Tue Jun 07 2011 Frank Nagy <nagy@fnal.gov> 4.1-1
- Added permitted_enctypes line to [libdefaults] section
- Removed obsolete AD nodes from [domain_realms]

* Mon May 31 2011 Frank Nagy <nagy@fnal.gov> 4.0-1
- Changed to krb5.conf V4.0 with expanded KDC list, removed
- Kerberos4 ticket generation from login/pam sections and
- other minor changes.

* Mon Dec 27 2010 Troy Dawson <dawson@fnal.gov> 3.1-3
- Changed Copyrite to License in spec file
- Changed PreReq to Requires in spec file

* Thu Sep 16 2010 Frank Nagy <nagy@fnal.gov> 3.1-2
- Remove igore_afs = true line from pam section

* Thu Sep 16 2010 Frank Nagy <nagy@fnal.gov> 3.1-1
- Emergency fix due to PAM mishandling comments on lines
- in [appdefults]pam section causing long login times

* Fri Aug 20 2010 Frank Nagy <nagy@fnal.gov> 3.0-1
- Installation scripts modified to drop obsolete edits and support
- local saved FNAL.GOV KDC list
- Added 3DEC to default encoding types and allow Wek Encryption in
- [libdefaults] addded commented tag linges around FNAL.GOV KDC list

* Fri Feb 19 2010 Frank Nagy <nagy@fnal.gov> 2.14-1
- Added mappings for Windows file servers to [domain_realm] section

* Wed Jan 06 2010 Frank Nagy <nagy@fnal.gov> 2.13-1
- Added entries to [domain_realm] section of krb5.conf for AD

* Thu Sep 10 2009 Frank Nagy <nagy@fnal.gov> 2.12-5
- Added make-cron-keytab script and fix permissions on makehostkeys

* Mon Jul 13 2009 Frank Nagy <nagy@fnal.gov> 2.12-4
- Release 3 did not work so use %attr in the %files section

* Mon Jul 13 2009 Frank Nagy <nagy@fnal.gov> 2.12-3
- Explicitly set file owner on install command

* Fri Jul 10 2009 Frank Nagy <nagy@fnal.gov> 2.12-2
- Corrected file owner in tarball to root:root

* Wed Jul 8 2009 Frank Nagy <nagy@fnal.gov> 2.12-1
- Updated to version 2.12 which added FERMITEST definitions
and mappings

* Mon Jun 8 2009 Frank Nagy <nagy@fnal.gov> 2.11-1
- Updated to version 2.11

* Fri Jun 27 2008 Troy Dawson <dawson@fnal.gov> 2.8-1
- Updated to version 2.8
- kept the ignore_afs change

* Thu Oct 25 2007 Troy Dawson <dawson@fnal.gov> 2.7a-1
- Removed the "ignore_afs = true" from the pam section

* Mon Aug 27 2007 Troy Dawson <dawson@fnal.gov> 2.7.1
- Updated to krb5.conf 2.7 - fixing cryptocard problems

* Mon Aug 08 2007 Troy Dawson <dawson@fnal.gov> 2.5-4
- Made it generic, to work with both SLF3 and SLF4

* Mon Aug 08 2007 Troy Dawson <dawson@fnal.gov> 2.5-3
- Updated the name to match the krb5.conf version - 2.5
- updated the config script to say 2.5
- Made it so that it moves the old krb5.conf out of the way

* Mon Jul 02 2007 Troy Dawson <dawson@fnal.gov> 1.25-1.LTS4
- updated the krb5.conf.template file to version 1.25

* Wed Jun 27 2007 Troy Dawson <dawson@fnal.gov> 1.24a-1.LTS4
- updated the krb5.conf.template file to version 1.24a

* Tue Oct 03 2006 Troy Dawson <dawson@fnal.gov> 1.16-1.LTS4
- updated the krb5.conf.template file to version 1.16

* Thu Aug 31 2006 Troy Dawson <dawson@fnal.gov> 1.15-1.LTS4
- updated the krb5.conf.template file to version 1.15

* Fri Aug 05 2005 Troy Dawson <dawson@fnal.gov> 1.10-1.LTS4
- updated the krb5.conf.template file to version 1.10

* Fri Oct 01 2004 Troy Dawson <dawson@fnal.gov> 1.9-3.LTS
- fixed script that says it's 1.8a
- made the rpm a noarch

* Wed Sep 28 2004 Troy Dawson <dawson@fnal.gov> 1.9-1.LTS
- updated to 1.9

* Tue Apr 06 2004 Troy Dawson <dawson@fnal.gov>
- added .sdsc.edu to the FNAL.GOV realm

* Fri Apr 02 2004 Troy Dawson <dawson@fnal.gov>
- Changed krb5.conf.template to put PAM section at top.

* Mon Feb 09 2004 Troy Dawson <dawson@fnal.gov>
- Fixed it so that it no longer moves the current krb5.conf out of the way
if it does not have to.

* Wed Oct 05 2003 Troy Dawson <dawson@fnal.gov>
- Created krb5-fermi-krb5.conf from krb5-fermi-config.

